#!/bin/bash

year=`date --date '-1 month' +'%Y'`
month=`date --date '-1 month' +'%m'`

year_dir=/mondata/preview/sotc/tropical-cyclones/$year
mkdir $year_dir
chgrp cmb-dev $year_dir
chmod 2775 $year_dir
out_dir=$year_dir/$month
mkdir $out_dir
chgrp cmb-dev $out_dir
chmod 2775 $out_dir

cd $out_dir
rm -f *png *json
wget -nv ftp://anonymous@filsrv.cicsnc.org/carl/monitor/tropical-cyclones/*
chgrp cmb-dev *
chmod 664 *

cd /mondata/preview/sotc/tropical-cyclones/reports
filename=tropical-cyclones-$year$month'.html'
if [ -f $filename ]; then
  echo $filename already exists
else
  cp tropical-cyclones-blank.html $filename
fi
chgrp cmb-dev $filename
chmod 664 $filename
