#!/bin/bash --login
conda activate monthly_monitor

py_dir=$1
if [[ $2 == *".py" ]]; then
  py_script=$2
else
  py_script=$2".py"
fi
py_args=$3

echo $py_dir
echo $py_script
echo $py_args
cd $py_dir
pwd
export MPLBACKEND="agg"
which python
python -u $py_script $py_args

