#!/bin/bash

this_year=`date --date '-1 month' +'%Y'`
last_year=`date --date '-13 month' +'%Y'`

out_dir=/mondata/preview/sotc/tropical-cyclones/$this_year/13
mkdir -p $out_dir
chgrp cmb-dev $out_dir
chmod 2775 $out_dir
cd $out_dir
rm -f *
wget -nv "ftp://anonymous@filsrv.cicsnc.org/carl/monitor/tropical-cyclones-"$this_year"13/*"
chgrp cmb-dev *
chmod 664 *

cd /mondata/preview/sotc/tropical-cyclones/reports
filename=tropical-cyclones-$this_year'13.html'
if [ -f $filename ]; then
  echo $filename already exists
else
  cp 'tropical-cyclones-'$last_year'13.html' $filename
  sed -i "s/$last_year/$this_year/g" $filename
fi
chgrp cmb-dev $filename
chmod 664 $filename
